Mudlet 3.1.0 available!

Nyyrazzilyss
Posts: 334
Joined: Thu Mar 05, 2015 2:53 am

Re: Mudlet 3.1.0 available!

Post by Nyyrazzilyss » Sat May 20, 2017 3:34 am

FYI: The highlight colour after searching was changed to white text on a yellow background.

This is completely unreadable :(

Vooku
Posts: 72
Joined: Sun Aug 21, 2016 2:42 pm

Re: Mudlet 3.1.0 available!

Post by Vooku » Sat May 20, 2017 4:24 am

I agree. The yellow highlight is bad. No contrast with the white text. Please either change text to black or go back to the red highlighting.

User avatar
Vadi
Posts: 4674
Joined: Sat Mar 14, 2009 3:13 pm

Re: Mudlet 3.1.0 available!

Post by Vadi » Sat May 20, 2017 7:25 pm

The highlight change is an accident - will be fixed in the next release 3.2 in the first week of June. Sorry about that!

palaver
Posts: 12
Joined: Sun May 21, 2017 6:41 am

Re: Mudlet 3.1.0 available!

Post by palaver » Sun May 21, 2017 3:14 pm

Hello there.

I have only ever used the web client of the MUD I love. I would like to try Mudlet, having read lots of good things about it.

I am trying to get the latest version for Ubuntu. This seems to me the easiest path, since my only deck is a Chromebook.

I'm also a total newcomer to Linux, which I am studying and experimenting with. Everything I'm doing is from the command line, so I used apt-get to install Mudlet, and I ended up with version 1.2, I think. I installed the PPA and tried to update, but no dice.

Would anyone be able, and willing, to give me quite specific guidance? Thanks.

palaver
Posts: 12
Joined: Sun May 21, 2017 6:41 am

Re: Mudlet 3.1.0 available!

Post by palaver » Tue May 23, 2017 4:33 am

Well, I tried a different way and now seem to have Mudlet 3.1.0 running. Very exciting!

I haven't yet tried to make triggers or anything, but I have a quick question. As soon as I connect, I see an error message:

Cannot find Lua model zip.
Lua error: Error loading module 'zip' from file '/tmp/.mount/MOnGZJ/lib/zip.so':
libzzip-0.so.13: cannot open shared object file: No such file or directory

Everything else seems to have worked fine. A little help?

User avatar
Vadi
Posts: 4674
Joined: Sat Mar 14, 2009 3:13 pm

Re: Mudlet 3.1.0 available!

Post by Vadi » Tue May 23, 2017 4:58 am

Will fix that! Sorry. If you can find and install a lua-zip package, it'll do as a workaround!

palaver
Posts: 12
Joined: Sun May 21, 2017 6:41 am

Re: Mudlet 3.1.0 available!

Post by palaver » Tue May 23, 2017 10:47 pm

How can I make sure that Mudlet finds the Lua installation? Complete Linux newbie here, so please excuse if this is a silly question.

xabre
Posts: 39
Joined: Thu Mar 08, 2012 7:19 pm

Re: Mudlet 3.1.0 available!

Post by xabre » Wed May 24, 2017 7:42 pm

For a start: it's working. :)
Am not sure which distro you're using, but regardless: a) if you installed it via prebuilt package, everythin should be installed as a dependancy, b) if you're compiling it on your own, you wouldn't be able to compile it without needed dependancies installed.

Unless you were aiming at something more specific than that, in which case please explain it with more details.

palaver
Posts: 12
Joined: Sun May 21, 2017 6:41 am

Re: Mudlet 3.1.0 available!

Post by palaver » Thu May 25, 2017 5:32 am

@xabre: It is working. Thank you.

palaver
Posts: 12
Joined: Sun May 21, 2017 6:41 am

Re: Mudlet 3.1.0 available!

Post by palaver » Thu May 25, 2017 5:35 am

Probably a silly question. When I go to my Aliases list, I see three folders already there: deleteOldProfiles, echo, and run-lua-code-v4. Those need to be there, and should not be messed with, correct?

Post Reply

Who is online

Users browsing this forum: No registered users and 6 guests